Page MenuHomePhabricator

inwin_example: shot can never be the preferend engine
ClosedPublic

Authored by bu5hm4n on Mar 16 2019, 6:16 AM.

Details

Summary

"shot" is just the content from ELM_DISPLAY, but never the prefered
engine. Additionally, prefered engine can be NULL, which will cause a
SEGV. This now just uses the getenv to check if we run in the shot
engine.

Depends on D8376

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bu5hm4n created this revision.Mar 16 2019, 6:16 AM
bu5hm4n updated this revision to Diff 20663.Mar 17 2019, 4:07 AM
bu5hm4n edited the summary of this revision. (Show Details)

rebase & update

segfaultxavi accepted this revision.Mar 18 2019, 4:32 AM

Confirmed that this fixes a segfault. Also, makes sense.

This revision is now accepted and ready to land.Mar 18 2019, 4:33 AM
Closed by commit rEFLff3d378334f6: inwin_example: shot can never be the preferend engine (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>, committed by segfaultxavi). · Explain WhyMar 18 2019, 4:34 AM
This revision was automatically updated to reflect the committed changes.